## org.apache.batik.swing.svg
Class JSVGComponent.ExtendedSVGListener

    java.lang.Object
      org.apache.batik.swing.gvt.AbstractJGVTComponent.Listener
          org.apache.batik.swing.gvt.JGVTComponent.ExtendedListener
              org.apache.batik.swing.svg.AbstractJSVGComponent.SVGListener
                  org.apache.batik.swing.svg.JSVGComponent.ExtendedSVGListener

All Implemented Interfaces:
  java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener, UpdateManagerListener, GVTTreeRendererListener, GVTTreeBuilderListener, SVGDocumentLoaderListener, SVGLoadEventDispatcherListener

Direct Known Subclasses:
  JSVGCanvas.CanvasSVGListener

Enclosing class:
  JSVGComponent

    protected class JSVGComponent.ExtendedSVGListener

extends AbstractJSVGComponent.SVGListener

To hide the listener methods.

Constructor Summary
`protected` `JSVGComponent.ExtendedSVGListener()`

Method Summary
`protected void` `dispatchMouseWheelMoved(java.awt.event.MouseWheelEvent e)` Dispatches the event to the GVT tree.

Methods inherited from class org.apache.batik.swing.svg.AbstractJSVGComponent.SVGListener

`dispatchKeyPressed, dispatchKeyReleased, dispatchKeyTyped, dispatchMouseClicked, dispatchMouseDragged, dispatchMouseEntered, dispatchMouseExited, dispatchMouseMoved, dispatchMousePressed, dispatchMouseReleased, documentLoadingCancelled, documentLoadingCompleted, documentLoadingFailed, documentLoadingStarted, gvtBuildCancelled, gvtBuildCompleted, gvtBuildFailed, gvtBuildStarted, gvtRenderingCancelled, gvtRenderingCompleted, gvtRenderingFailed, managerResumed, managerStarted, managerStopped, managerSuspended, svgLoadEventDispatchCancelled, svgLoadEventDispatchCompleted, svgLoadEventDispatchFailed, svgLoadEventDispatchStarted, updateCompleted, updateFailed, updateStarted`

Methods inherited from class org.apache.batik.swing.gvt.JGVTComponent.ExtendedListener
`mouseWheelMoved`

Methods inherited from class org.apache.batik.swing.gvt.AbstractJGVTComponent.Listener
`deselectInteractor, gvtRenderingPrepare, gvtRenderingStarted, handleMouseClicked, keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, selectInteractor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSVGComponent.ExtendedSVGListener

    protected JSVGComponent.ExtendedSVGListener()

Method Detail

### dispatchMouseWheelMoved

    protected void dispatchMouseWheelMoved(java.awt.event.MouseWheelEvent e)

  Dispatches the event to the GVT tree.

  Overrides:
    `dispatchMouseWheelMoved` in class `JGVTComponent.ExtendedListener`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.